
Foreman - Feature #36867

New All Hosts page - Add delete & create

10/26/2023 02:56 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Host creation   

Target version: 3.9.0   

Difficulty:  Fixed in Releases: 3.9.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9878

  

Description

Associated revisions

Revision f03e699e - 11/06/2023 09:02 PM - Jeremy Lenz

Fixes #36867 - Add host delete & create

Add bulk modal with bulk params

add register/create buttons; fix links

address UX comments

Remove icon from delete action in the toolbar’s kebab

In the delete modal as a primary button use just “Delete”

(not delete host)

To the top part:

Add a kebab with legacy UI button

Ensure the loading screen doesn't say 'No Results'

support foreman_remote_execution slot

Refs #36867 - move action to new controller

move bulk hosts extension test to Foreman

History

#1 - 10/26/2023 03:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/foreman/pull/9878 added

#2 - 11/06/2023 09:02 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#3 - 11/06/2023 10:00 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f03e699ea076feb508c7e523a3f95a3bfc83f829.
